/**
 * @(#)ClusterGroupObj.java  12/12/99
 * @author Peter Au
 * All rights reserved.
 */

package vishnu.testvis.object;

public class ClusterGroupObj
{
    ClusterObj[] clusters;  //-- list of ClusterObj ref
    String label;  //-- a general description for the group (take the highest related word)
    private int groupSize;  //-- total number of docs in the group
    public ClusterGroupObj(ClusterObj[] c, String ls)
    {
        //System.out.println("ClusterGroupObject constructor called label " + ls);
        //System.out.flush();
        clusters=c; label=ls;
        groupSize=0;
        for (int i=0;i<clusters.length;i++)
      		groupSize+=clusters[i].getDocsSize();
	}


 public String getLabels()
 {
   return label;
 }


  public String getLabels_toString()
  {
    return label;
  }
/*
  	String tmp="";
  	for (int i=0;i<label.length;i++) tmp = tmp + " " + label[i];
  	return tmp;
  }
*/
  /**
   * @return the total number of documents in the group
   */
  public int getGroupSize(){return groupSize;}

  /**
   * @return the number of clusters in the group
   */
  public int getClustersSize(){return clusters.length;}


  /**
   * @return the clusters list
   */
  public ClusterObj[] getClusters(){return clusters;}


  public String getInfo(){
  	return "No of clusters: "+ String.valueOf(clusters.length)+ " totally contains: "+
  		String.valueOf(getGroupSize())+" docs\nGroup Label: "+getLabels_toString()+"\n";
  }

  public void showInfo(){
    System.out.print(getInfo());
    for (int i = 0; i<getClustersSize(); i++)
      System.out.print( i+")  "+clusters[i].getInfo());
  }

}
